deoplete.nvimが効かなくなった時の手元できる対処法

開発中なのもありよく動かなくなっているので試したことリストの備忘録です。

公式でもなく完全な対処方法であるかの確認もしてないので参考程度にして下さい。この方法で解決できない場合はIssueかなぁという判断基準にはなるかもしれません。

順番や番号に意味はありません。

1. プラグインのアップデート

:call dein#update()
:NeoBundleUpdate

など

2. :CheckHealth

:CheckHealth

このコマンドを実行して出てくる内容に応じて後述の対処をします。

3. has('python3')確認

:echo has('python3')

1ならok。

0の場合、状況に応じて他の方法を試す。

4. python3のインストール

macOS

brew install python3

ubuntu 14.04 later

apt-get install python3

など

5. neovimパッケージをインストールまたはアップデート

pip3 install --upgrade neovim

6. :UpdateRemotePlugins

Neovimをインストールまたはアップデートした後、deoplete.nvimを使うのに必要になります。

:UpdateRemotePlugins

7. Neovimが古い

macOS

brew update
brew upgrade neovim

または

brew install --HEAD neovim

アップデートできたら再度上記の内容を試します。

Show comments

Adsense

Share

  • このエントリーをはてなブックマークに追加

About

趣味でプログラミングをしています。仕事では致し方なくC言語のようなC++を書いています。

Tags

Pages